<?xml version="1.0" encoding="ISO-8859-1"?>
<toc>
<book href="index.html" id="id5381065">
<title>Message Passing Toolkit:  PVM Programmer's Manual</title>
<bookinfo href="front.html">
<title>Front Matter</title>
</bookinfo>
<preface href="pr01.html" id="id5439422">
<title>Manual</title>
</preface>
<preface href="pr02.html" id="id5178981">
<title>About This Manual</title>
<section href="pr02.html#id5179005" id="id5179005">
<title>Related Publications</title>
</section>
<section href="pr02.html#Z873212129jlb" id="Z873212129jlb">
<title>Other Sources</title>
</section>
<section href="pr02.html#Z881618285jlb" id="Z881618285jlb">
<title>Obtaining Publications</title>
</section>
<section href="pr02.html#Z825545312melby" id="Z825545312melby">
<title>Conventions</title>
</section>
<section href="pr02.html#Z825546061melby" id="Z825546061melby">
<title>Reader Comments</title>
</section>
</preface>
<chapter href="ch01.html" id="Pwvpjsdc">
<title>Chapter 1. Overview</title>
<section href="ch01.html#id5179754" id="id5179754">
<title>The PVM Package</title>
</section>
<section href="ch01.html#id5179917" id="id5179917">
<title>PVM on SGI Systems</title>
</section>
<section href="ch01.html#id5179990" id="id5179990">
<title>PVM Terminology</title>
</section>
</chapter>
<chapter href="ch02.html" id="iNOi38cdep">
<title>Chapter 2. PVM Functionality</title>
<section href="ch02.html#id5177390" id="id5177390">
<title>Multiple Computer Systems As a Virtual Machine</title>
</section>
<section href="ch02.html#id5177518" id="id5177518">
<title>Applications and Environments</title>
</section>
<section href="ch02.html#Z837618211jlb" id="Z837618211jlb">
<title>PVM Program Development</title>
<procedure href="ch02.html#Z829239548jlb" id="Z829239548jlb">
<title>Procedure 2-1. </title>
</procedure>
<section href="ch02.html#XZgpjsdc" id="XZgpjsdc">
<title>Building PVM Executable Files</title>
</section>
<section href="ch02.html#kXOLi373dep" id="kXOLi373dep">
<title>Creating Host Files</title>
<example href="ch02.html#Z825527710glen" id="Z825527710glen">
<title>Example 2-1. Simple Host File</title>
</example>
<table href="ch02.html#pmjd53smg" id="pmjd53smg">
<title>Table 2-1. Host File Options</title>
</table>
<example href="ch02.html#Z825527834glen" id="Z825527834glen">
<title>Example 2-2. Sample Host File with Host Name Options</title>
</example>
</section>
<section href="ch02.html#Z879793214jlb" id="Z879793214jlb">
<title>Specifying Architecture Types</title>
</section>
<section href="ch02.html#icgpjsdc" id="icgpjsdc">
<title>Starting and Stopping the PVM Daemon</title>
</section>
<section href="ch02.html#Ahgpjsdc" id="Ahgpjsdc">
<title>Running PVM Applications</title>
</section>
<section href="ch02.html#t2Rmjlb" id="t2Rmjlb">
<title>Using NQS to Run PVM Applications</title>
</section>
<section href="ch02.html#QEhpjsdc" id="QEhpjsdc">
<title>Using the PVM Console</title>
<section href="ch02.html#id5189062" id="id5189062">
<title>Starting the Console</title>
</section>
<section href="ch02.html#rjwCmjlb" id="rjwCmjlb">
<title>Using Console Commands</title>
<table href="ch02.html#VEmedm" id="VEmedm">
<title>Table 2-2. Console Commands</title>
</table>
</section>
</section>
<section href="ch02.html#gkgpjsdc" id="gkgpjsdc">
<title>Troubleshooting PVM</title>
<section href="ch02.html#id5192946" id="id5192946">
<title>PVM Already Running</title>
</section>
<section href="ch02.html#id5193036" id="id5193036">
<title>pvmd3 Fails to Start on Remote System</title>
</section>
<section href="ch02.html#id5193184" id="id5193184">
<title>Permission Denied</title>
</section>
<section href="ch02.html#id5193328" id="id5193328">
<title>Login Incorrect</title>
</section>
<section href="ch02.html#id5193385" id="id5193385">
<title>Version Incorrect</title>
</section>
<section href="ch02.html#id5193432" id="id5193432">
<title>Failure of Spawn</title>
</section>
<section href="ch02.html#id5193474" id="id5193474">
<title>Other Problems</title>
</section>
</section>
</section>
<section href="ch02.html#id5193626" id="id5193626">
<title>Data Types</title>
<table href="ch02.html#Z872102242jlb" id="Z872102242jlb">
<title>Table 2-3. N32 ABI Library Data Types</title>
</table>
<table href="ch02.html#Z872107968jlb" id="Z872107968jlb">
<title>Table 2-4. 64 ABI Library Data Types</title>
</table>
</section>
<section href="ch02.html#id5195219" id="id5195219">
<title>Environment Variables</title>
<table href="ch02.html#Z870797674jlb" id="Z870797674jlb">
<title>Table 2-5. Environment Variables</title>
</table>
</section>
</chapter>
<chapter href="ch03.html" id="b8iPi153dep">
<title>Chapter 3. Functions and Subroutines</title>
<section href="ch03.html#id5196787" id="id5196787">
<title>Error Messages</title>
</section>
<section href="ch03.html#id5196894" id="id5196894">
<title>Process Identifiers</title>
</section>
<section href="ch03.html#Z830192970jlb" id="Z830192970jlb">
<title>PVM Include Files</title>
</section>
<section href="ch03.html#iVEmjlb" id="iVEmjlb">
<title>Basic Operations</title>
<table href="ch03.html#FB6Omjlb" id="FB6Omjlb">
<title>Table 3-1. Basic Operations Functions</title>
</table>
</section>
<section href="ch03.html#z1VEmjlb" id="z1VEmjlb">
<title>Task Control</title>
<table href="ch03.html#ZE6Omjlb" id="ZE6Omjlb">
<title>Table 3-2. Task Control Functions</title>
</table>
</section>
<section href="ch03.html#Jrbvjpamb" id="Jrbvjpamb">
<title>Option Management</title>
<table href="ch03.html#F6Omjlb" id="F6Omjlb">
<title>Table 3-3. Option Management Functions</title>
</table>
</section>
<section href="ch03.html#VEmjlb" id="VEmjlb">
<title>Dynamic System Configuration</title>
<table href="ch03.html#OF6Omjlb" id="OF6Omjlb">
<title>Table 3-4. Dynamic System Configuration Functions</title>
</table>
</section>
<section href="ch03.html#itMojsdc" id="itMojsdc">
<title>Dynamic Task Group Management</title>
<table href="ch03.html#rF6Omjlb" id="rF6Omjlb">
<title>Table 3-5. Dynamic Task Group Management Functions</title>
</table>
</section>
<section href="ch03.html#Rbvjpamb" id="Rbvjpamb">
<title>Data Transmittal</title>
<table href="ch03.html#G6Omjlb" id="G6Omjlb">
<title>Table 3-6. Data Transmittal Functions</title>
</table>
</section>
<section href="ch03.html#JeiPi264dep" id="JeiPi264dep">
<title>Data Receipt</title>
<table href="ch03.html#eG6Omjlb" id="eG6Omjlb">
<title>Table 3-7. Data Receipt Functions</title>
</table>
</section>
<section href="ch03.html#T6VEmjlb" id="T6VEmjlb">
<title>Barrier Synchronization</title>
<table href="ch03.html#hxmid352smg" id="hxmid352smg">
<title>Table 3-8. Barrier Synchronization Function</title>
</table>
</section>
<section href="ch03.html#B7VEmjlb" id="B7VEmjlb">
<title>Global Operations</title>
<table href="ch03.html#Z832876036zup" id="Z832876036zup">
<title>Table 3-9. Global Operations Functions</title>
</table>
</section>
<section href="ch03.html#O8VEmjlb" id="O8VEmjlb">
<title>Signaling</title>
<table href="ch03.html#QH6Omjlb" id="QH6Omjlb">
<title>Table 3-10. Signaling Functions</title>
</table>
</section>
<section href="ch03.html#l8VEmjlb" id="l8VEmjlb">
<title>Error Handling</title>
<table href="ch03.html#fH6Omjlb" id="fH6Omjlb">
<title>Table 3-11. Error Handling Function</title>
</table>
</section>
</chapter>
<appendix href="apa.html" id="BuZvjedm">
<title>Appendix A. PVM Error Messages</title>
<table href="apa.html#WjZvjedm" id="WjZvjedm">
<title>Table A-1. Error Messages Issued by PVM Functions</title>
</table>
</appendix>
<appendix href="apb.html" id="ZwYvjedm">
<title>Appendix B. PVM Man Pages</title>
</appendix>
<glossary href="go01.html" id="id5208253">
<title>Glossary</title>
</glossary>
<index href="ix01.html" id="sgi-index">
<title>Index</title>
</index>
</book>
</toc>
